Package: org.gradle.plugins.signing.type

## [Groovy] Interface SignatureType

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `combinedExtension(File toSign)`
    `File` | `fileFor(File toSign)`
    `String` | `getExtension()`
    `File` | `sign(Signatory signatory, File toSign)`
    `void` | `sign(Signatory signatory, InputStream toSign, OutputStream destination)`

- - ### Method Detail

    - #### String combinedExtension(File toSign)

    - #### File fileFor(File toSign)

    - #### String getExtension()

    - #### File sign(Signatory signatory, File toSign)

    - #### void sign(Signatory signatory, InputStream toSign, OutputStream destination)